package org.jeecg.modules.adweb.enquiry.service;

import org.jeecg.modules.adweb.enquiry.dto.EnquiryDTO;
import org.jeecg.modules.adweb.enquiry.entity.AdwebEnquiry;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.adweb.site.entity.AdwebSite;

import java.util.List;

/**
 * @Description: 询盘信息存储表单
 * @Author: jeecg-boot
 * @Date:   2024-10-12
 * @Version: V1.0
 */
public interface IAdwebEnquiryService extends IService<AdwebEnquiry> {

    void addEnquiry(EnquiryDTO enquiryDTO, String plugin, List<AdwebSite> adwebSites);

    /**
     * 返回用户名称
     */
    void returnSalesperson (String siteCode,String inquiryId,String sales);
}
